sfcode An Online Competing and Development Environment

path-parse

> Node.js `path.parse(pathString)` ponyfill.

# Install

$ npm install --save path-parse

# Usage

var pathParse = require('path-parse');
pathParse('/home/user/dir/file.txt');
//=> {
// root : "/",
// dir : "/home/user/dir",
// base : "file.txt",
// ext : ".txt",
// name : "file"
// }

# API

See `path.parse(pathString)` docs.

## pathParse(path)

## pathParse.posix(path)

The Posix specific version.

## pathParse.win32(path)

The Windows specific version.

# License

MIT © Javier Blanco